@import './normalize';
@import '../mixins/adaptive';

body {
  textarea {
    outline: none;
    border: none;
    resize: none;
  }

  p,
  input,
  pre {
    margin: 0;
  }

  pre {
    white-space: normal;
  }

  a {
    outline: none;

    &,
    &:focus,
    &:visited,
    &:hover {
      text-decoration: none;
    }
  }

  input,
  button {
    border: none;

    /* Remove rounded corners & box-shadow on input elements in Mobile WebKit */
    @include mobile {
      -webkit-border-radius: 0;
      -webkit-box-shadow: none;

      /* Remove all platform-native styling based on OS theme */
      -webkit-appearance: none;
      -moz-appearance: none;

      /* Remove default padding */
      padding: 0;
    }

    /* Remove the border highlight on an element */
    &:focus {
      outline: none;
    }
  }

  button {
    cursor: pointer;
    border: none;
    background: transparent;
    padding: 0;
  }
}
